Spyke

Replies

196

Comment on

Vulnerability rule

I feel like I saw people saying this back in 2007 (with different terminology, ofc). Kids just like in-jokes and being ironic. It's not ruining the Internet, big business is what's ruining the Internet.

Comment on

of=/dev/sda

Having been in this situation (the only binary I could use was bash, although cd was a bash builtin for me), echo * is your friend. Even better is something like this:

get_path_type() {
    local item
    item="$1"
    [[ -z "$item" ]] && { echo 'wrong arg count passed to get_path_type'; return 1; }
    if [[ -d "$item" ]]; then
        echo 'dir'
    elif [[ -f "$item" ]]; then
        echo 'file'
    elif [[ -h "$item" ]]; then
        echo 'link'  # not accurate, but symlink is too long
    else
        echo '????'
    fi
}

print_path_listing() {
    local path path_type
    path="$1"
    [[ -z "$path" ]] && { echo 'wrong arg count passed to print_path_listing'; return 1; }
    path_type="$(get_path_type "$path")"
    printf '%s\t%s\n' "$path_type" "$path"
}

ls() {
    local path paths item symlink_regex
    paths=("$@")
    if ((${#paths[@]} == 0)); then
        paths=("$(pwd)")
    fi
    shopt -s dotglob
    for path in "${paths[@]}"; do
        if [[ -d "$path" ]]; then
            printf '%s\n' "$path"
            for item in "$path"/*; do
                print_path_listing "$item"
            done
        elif [[ -e "$path" ]]; then
            print_path_listing "$path"
        printf '\n'
        fi
    done
}

This is recreated from memory and will likely have several nasty bugs. I also wrote it and quickly tested it entirely on my phone which was a bit painful. It should be pure bash, so it'll work in this type of situation.

EDIT: I'm bored and sleep deprived and wanted to do something, hence this nonsense. I've taken the joke entirely too seriously.

Comment on

My heart goes out to shell programmers who have to support posix sh

set -euo pipefail is, in my opinion, an antipattern. This page does a really good job of explaining why. pipefail is occasionally useful, but should be toggled on and off as needed, not left on. IMO, people should just write shell the way they write go, handling every command that could fail individually. it's easy if you write a die function like this:

die () {
  message="$1"; shift
  return_code="${1:-1}"
  printf '%s\n' "$message" 1>&2
  exit "$return_code"
}

# we should exit if, say, cd fails
cd /tmp || die "Failed to cd /tmp while attempting to scrozzle foo $foo"
# downloading something? handle the error. Don't like ternary syntax? use if
if ! wget https://someheinousbullshit.com/"$foo"; then
  die "failed to get unscrozzled foo $foo"
fi

It only takes a little bit of extra effort to handle the errors individually, and you get much more reliable shell scripts. To replace -u, just use shellcheck with your editor when writing scripts. I'd also highly recommend https://mywiki.wooledge.org as a resource for all things POSIX shell or Bash.

Comment on

*Permanently Deleted*

In particular, the companies purchase financial information from a data broker before offering a nurse a shift; if the nurse is carrying a lot of credit-card debt, especially if some of that is delinquent, the amount offered is reduced. "Because, the more desperate you are, the less you'll accept to come into work and do that grunt work of caring for the sick, the elderly, and the dying." That is horrific on many levels, he said, but "it is emblematic of 'enshittification'", which is one of the reasons he highlighted it.

What the ACTUAL FUCK‽ This is the type of shit Neal Stephenson would put in a fucking cyberpunk dystopia novel. I am filled with so much fucking rage. My sister is a nurse and goes through so much fucking bullshit at her job already. Nurses really do not need more shit thrown at them.

196

Comment on

Rule

Reply in thread

Rental prices are very possibly not determined by the market these days. RealPage and other companies like it may be colluding to fix prices at artificially high levels.

This ProPublica article covers the practice fairly well: https://www.propublica.org/article/yieldstar-rent-increase-realpage-rent

EDIT: apologies, that was the wrong article. This is the one I wanted to link: https://www.propublica.org/article/yieldstar-rent-increase-realpage-lawmakers-collusion

Comment on

All employees of Annapurna Interactive (Stray, Outer Wilds) resign en masse

Oh hey, the owner of the publisher is an Ellison! What a fun fact! Megan Ellison is Larry Ellison's daughter. For those not in the know, Larry Ellison is the owner of Oracle. He and his company are profoundly interesting in the way a tornado's effect on a wooden shack full of sheep is interesting. This section of a talk from a former Oracle employee does a great job of explaining why we should not fall into the trap of anthropomorphizing Larry Ellison. It's hilarious and I highly recommend checking it out.

All of this is to say that his children might be a bit like him. Children aren't doomed to be like their parents, but they certainly can be like their parents.

EDIT: that talk is only of passing relevancy, but it's really funny and I can't pass up a chance to share it with people who may not have seen it.

Comment on

Anti-20mph group refuses to back down despite big drop in casualty numbers

The 20 mph thing is happening where I live as well (in parts of Utah), and it's being widely ignored. I don't speed in general. I especially avoid it in places where there may be kids or pets around, so I end up with some big penis truck tailgating me when I'm on those 20 mph roads. It's so frustrating because these people haven't seen what happens to pedestrians when they get hit.

Content warning, I'm going to describe an accident I saw. When I was 16, I saw a man step out onto the road about ~50-75 feet in front of a car moving at ~40 mph. The pedestrian didn't look before he stepped out, and he wasn't anywhere near a crosswalk. He looked like he was coming from a construction site and was probably just tired. Nobody was speeding and the driver had pretty admirable reflexes (I could hear the juddering from his ABS brakes).

Even with that, the guy got hit before the car could come to a stop. I saw him fly back several feet, and the thing I'll never forget is the way his head fucking bounced as it hit the pavement. The amount a person's head will bounce is just fucking awful. I'll never forget what he was like afterwards. He had a heavy concussion and a huge bruise on his head. He could barely speak and he kept pawing at the air, like he was seeing something. He kept trying to get up, to the point where someone had to hover over him to stop him from moving (he might have had spine damage). He got hit so hard that to 16 year old me, he turned from a person into an injured animal. It felt like the spark in his eyes got kicked out when his skull hit the ground. It was terrifying to see someone get their... sapience? Maybe there's a better word, but see someone get their sapience smashed out of them.

Like, the guy I saw was lucky. The driver wasn't texting and slowed down considerably, and there were multiple first responders with some degree of training. He wasn't crushed. He didn't go under the car. An ambulance was there within 5 minutes of the accident. He probably lived, and he probably didn't end up with permanent brain damage (according to the EMTs). Every time I drive through a neighborhood, I imagine a kid running out from behind something, right in front of my car. If I'm going 30-40 mph, that kid's head is gonna be doing the asphalt bounce. If I'm going 20 mph, that kid is going to shit their pants when my 3000 pound death machine stops a foot away from them.

I just wish I could make these people understand how fucking awful it is to be hit by a car. It's been more than 15 years since I saw that happen and I still feel ill when I try hard to remember it. I can't imagine how bad it feels for the driver, and how much, much worse it feels for the guy who was hit.

linux

Comment on

Hyprland is now fully independent!

Reply in thread

Because Vaxry (the lead dev) got banned from contributing to wlroots or any other FDO projects.

As for why he was banned, this is the only thing I've read about the whole thing: https://drewdevault.com/2024/04/09/2024-04-09-FDO-conduct-enforcement.html

Basically, he violated the FDO Code of Conduct when being told that a particular thing he said/enabled in a Discord community would not be acceptable if it was seen in spaces covered by said CoC.

This appears to be his response.

Comment on

Yeah, I should probably donate again or something

Reply in thread

If you want a free and massive performance optimization, remove the cat:

fastWikiLookup() { grep "$@" ~/wikipedia.txt }

Reading and piping 156 GB of data to another process every time you want to look something up is a somewhat nontrivial action. Grep can directly read the file, which should result in a pretty damn good speed up.

linux

Comment on

Hyprland is now fully independent!

Reply in thread

What if you need to file a bug? What if you have a question on the config that's not easily answered by the docs? If you never, ever find bugs and never, ever have questions, then sure, separate the two. There are genuinely people like that, but they're not common. If you're one of them, then I'm genuinely glad for you.

My opinion is this: You use software. You don't use people, but you sure as hell rely on them.

Comment on

Smart

Reply in thread

Also from the article:

The writer Brett Forrest briefly interacted with Perelman in 2012. A reporter who had called him was told: "You are disturbing me. I am picking mushrooms."

I enjoy this man's focus and determination. I feel like the world probably missed out on good things when he left academia, but I can't blame the dude when I saw why he refused a million dollars for solving the Poincaré Conjecture. He seems like a person with very strong principles.

linux

Comment on

Ubuntu Will Replace GNU Core Utilities With Rust

Reply in thread

I love rust and projects rewritten in Rust, but I've felt pretty mixed about this particular project. The strong copyleft on GNU coreutils is part of what keeps many Linux distros truly free. There's stuff like BusyBox or BSD coreutils if you need something you can make non-free, but GNU coreutils are just so nice. I wish this reimplementation in rust had been licensed with GPL or a similar copyleft license. At least there's no CLA with copyright transfer.

Comment on

*Permanently Deleted*

Thank god for projects like Valetudo thar let you break your stuff away from the cloud.

Semi-related story time. I bought a Midea Cube dehumidifier for my laundry room. My dryer has been broken for years, and I've found that air drying clothes makes them last a lot longer. It's hard to air dry inside, hence the dehumidifier. My plan was to control the dehu automagically with Home Assistant along with some fans, so people could just click a button to turn all the shit on to dry their clothes.

After buying it, I realized that the dehumidifier could only be controlled via the cloud, and the cloud control was unreliable as fuck. With the exception of tech people, nobody is willing to deal with my flaky bullshit. If the button doesn't work consistently, my partner, her other partner, and my FIL aren't going to bother. Luckily, a very industrious person made this thing that let me rip out the hardware responsible for cloud connectivity and replace it with a cheap microcontroller. Now, my dehumidifier talks to my Home Assistant server directly via MQTT and it just fucking works.

Give me local-only control or fuck off, I'll take control myself. It's not much to demand, and shit like what this article describes absolutely deepens my conviction around local-only control.

linux

Comment on

Ghostty Terminal Emulator Transitions to Non-Profit Status

Reply in thread

It's just faster and smoother when scrolling text, and all the work of shifting those pixels is pushed off onto specialized hardware that's much more efficient at it. I use alacritty which is a different GPU-accelerated terminal emulator and I'm very fond of it. It's not a huge deal, I just figure that if I have the hardware, I might as well use it.

Comment on

As the Prince of Persia Metroidvania team disbands, Baldur's Gate 3 dev says if Ubisoft wants "subs over sales" then "developers must get used to not having jobs"

This headline is... well, not great. Here's the entire quote from Larian Studios' publishing director:

The last notable game on their platform was arguably Far Cry 6 in 2021. The Crew, Mirage and Avatar came in 2023 and didn’t perform, so you can assume subscriptions were at a lull when PoP released by 2024. Which means people wouldn’t be launching their store all too much.

If it had released on Steam not only would it have been a market success, but there would likely be a sequel because the team are so strong. It’s such a broken strategy. The hardest thing is to make a 85+ game — it is much, much easier to release one. It just shouldn’t be done as it was. If the statement “gamers should get used to not owning their games” is true because of a specific release strategy (sub above sales), then the statement “developers must get used to not having jobs if they make a critically acclaimed game” (platform strategy above title sales) is also true, and that just isn’t sensible — even from a business perspective.

I dunno. That's hopefully less misleading and confusing? The article really doesn't bring much to the table imo.

Anyways, fuck Ubisoft.